<?php include('header.php'); ?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>IOSMail.net — Free, Private Email & Community Info</title>
    <link href="/assets/bootstrap.min.css" rel="stylesheet">
    <link href="/assets/futuremail.css" rel="stylesheet">
</head>
<body>
<?php
// Tech-themed backgrounds, rotate daily (add more as needed)
$bgImages = [
    "/assets/techbg1.png",
    "/assets/techbg2.png",
    // Add more: "/assets/techbg3.png", etc.
];
$day = date('z') % count($bgImages);
$heroBg = $bgImages[$day];
?>
    <section class="hero-banner mb-4">
        <img src="<?= $heroBg ?>" alt="Tech Background" class="hero-bg" loading="lazy">
        <div class="hero-overlay"></div>
        <div class="hero-content">
            <h1 class="display-3 main-gradient mb-3">IOSMail.net</h1>
            <p class="lead hero-desc">
                The modern way to get your own private, free email address.<br>
                Stay informed with news and resources—always secure, always ad-free.<br>
                <span class="fw-bold text-warning">Get started in seconds. For everyone, for life.</span>
            </p>
            <a href="register.php" class="btn btn-success btn-hero shadow">Create Your Free Email Account</a>
        </div>
    </section>

    <div class="container">
        <div class="row g-4 mb-4">
            <!-- News Section -->
            <div class="col-lg-4">
                <div class="card soft-card h-100">
                    <div class="card-header-news headlines"><span class="emoji">🌐</span> Latest Headlines</div>
                    <div class="card-body" style="max-height: 380px; overflow-y: auto;">
                        <?php
                        $rss = @simplexml_load_file('https://feeds.bbci.co.uk/news/rss.xml');
                        if ($rss) {
                            $max = 6; $i = 0;
                            foreach ($rss->channel->item as $item) {
                                if ($i++ >= $max) break;
                                echo '<div class="mb-3">';
                                echo '<a href="' . htmlspecialchars($item->link) . '" target="_blank" class="news-link fw-semibold">'
                                     . htmlspecialchars($item->title) . '</a>';
                                echo '<p class="text-muted small mb-0">' . date('M d, Y H:i', strtotime($item->pubDate)) . '</p>';
                                echo '</div>';
                            }
                        } else {
                            echo '<p>News unavailable at this time.</p>';
                        }
                        ?>
                    </div>
                </div>
            </div>
            <!-- How It Works -->
            <div class="col-lg-4">
                <div class="card soft-card mb-4 h-100">
                    <div class="card-header-news how"><span class="emoji">⚙️</span> How IOSMail.net Works</div>
                    <div class="card-body text-center">
                        <ul class="list-unstyled text-start mb-3 mx-auto" style="max-width:330px">
                            <li>1️⃣ <strong>Sign up free in seconds.</strong></li>
                            <li>2️⃣ <strong>Pick your new email address.</strong></li>
                            <li>3️⃣ <strong>Start sending & receiving instantly.</strong></li>
                        </ul>
                        <form method="get" action="https://www.google.com/search" target="_blank" class="mb-3">
                            <div class="input-group input-group-lg">
                                <input type="text" class="form-control" name="q" placeholder="Search the web..." required>
                                <button class="btn btn-outline-primary" type="submit">Search</button>
                            </div>
                        </form>
                        <div id="greeting" class="fs-5 fw-semibold text-primary"></div>
                    </div>
                </div>
            </div>
            <!-- Why IOSMail.net -->
            <div class="col-lg-4">
                <div class="card soft-card h-100">
                    <div class="card-header-news why"><span class="emoji">✅</span> Why Choose IOSMail.net?</div>
                    <div class="card-body text-center">
                        <ul class="list-unstyled text-start mx-auto mb-4" style="max-width:260px">
                            <li>✅ 100% Free Email, forever</li>
                            <li>✅ Private & Secure: your info stays yours</li>
                            <li>✅ No spam, no tracking, no hidden fees</li>
                            <li>✅ Friendly, local support from real people</li>
                        </ul>
                        <a href="register.php" class="btn btn-success btn-lg" style="background: #27ae60; border-color:#219150;">Sign Up—It's Free!</a>
                    </div>
                </div>
                </div>
            </div>
        </div>
    </div>
    <?php include('footer.php'); ?>
    <script src="/assets/bootstrap.bundle.min.js"></script>
    <script src="/assets/futuremail.js"></script>
</body>
</html>
