<?php
// --- Validate Input (simplified, expand as needed) ---
$required_fields = [
    'first_name', 'last_name', 'address', 'city', 'state', 'zip',
    'phone_number', 'desired_username', 'price', 'captcha'
];
foreach ($required_fields as $f) {
    if (empty($_POST[$f])) {
        die("Missing field: " . htmlspecialchars($f));
    }
}

// TODO: Validate CAPTCHA here. (antispam.php logic)

// --- Only proceed for FREE option ---
if ($_POST['price'] === 'free') {
    // === cPanel API Credentials ===
    $cpanel_host = 'localhost'; // or your hostname if remote
    $cpanel_user = 'iosmail'; // e.g., iosmail
    $cpanel_pass = 'Baja5141$$'; // or use an API token (recommended)
    $domain      = 'iosmail.net';
    $email_user  = preg_replace('/[^a-z0-9_\-\.]/i', '', strtolower($_POST['desired_username']));
    $email_pass  = bin2hex(random_bytes(8)); // Generate a secure random password (or let user choose)

    // --- Prepare API Request to create mailbox ---
    $query = [
        'cpanel_jsonapi_user'     => $cpanel_user,
        'cpanel_jsonapi_apiversion'=> '2',
        'cpanel_jsonapi_module'   => 'Email',
        'cpanel_jsonapi_func'     => 'addpop',
        'domain'   => $domain,
        'email'    => $email_user,
        'password' => $email_pass,
        'quota'    => 1024 // 1GB quota (adjust as needed)
    ];

    $url = "https://$cpanel_host:2083/json-api/cpanel?" . http_build_query($query);

    $curl = curl_init();
    curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, 0);
    curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, 0);
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($curl, CURLOPT_URL, $url);
    curl_setopt($curl, CURLOPT_USERPWD, "$cpanel_user:$cpanel_pass");

    $result = curl_exec($curl);
    $err = curl_error($curl);
    curl_close($curl);

    if ($err) {
        die("Error creating account: $err");
    }
    $json = json_decode($result, true);
    if (isset($json['cpanelresult']['error']) && $json['cpanelresult']['error']) {
        die("Error creating email: " . htmlspecialchars($json['cpanelresult']['error']));
    }

    // --- Success! Optionally save to your DB/logs here ---

    // (Optional) Email the user their credentials, or display them:
    // echo "Account created! Username: $email_user@$domain<br>Password: $email_pass";

    // --- Redirect to webmail login ---
    header("Location: https://webmail.iosmail.net");
    exit;
} else {
    // Handle paid options, e.g., redirect to PayPal or payment gateway.
    // After payment, process and create the account similarly.
    echo "Payment required for this option.";
    exit;
}
?>
